#pragma once

#include "CoreMinimal.h"
#include "NewsS3Content.h"
#include "NewsAndMessagesCallToAction.h"
#include "NewsAndMessagesImage.h"
#include "NewsS3Data.generated.h"

USTRUCT(BlueprintType)
struct FNewsS3Data
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Id;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Title;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FNewsS3Content> Content;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FNewsAndMessagesCallToAction CallToAction;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool CallToAction_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FNewsAndMessagesImage Image;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool Image_IsSet;

public:
	NEWS_API FNewsS3Data();
};

FORCEINLINE uint32 GetTypeHash(const FNewsS3Data) { return 0; }
